{ config, pkgs, lib, ... }:
{

  imports = [
    ./firefox.nix
    ./fonts.nix
    ./git.nix
    ./programs.nix
    ./security.nix
    ./sway.nix
    ./terminal.nix
    ./vim.nix
    ./vscode.nix
  ];

  # Home Manager needs a bit of information about you 
  # and the paths it should manage.
  home = {
    username = "wieerwill";
    homeDirectory = "/home/wieerwill";
    enableNixpkgsReleaseCheck = false;
    stateVersion = "24.05"; # read DOCs before changing.

    file = {
      # ".screenrc".source = dotfiles/screenrc;
    };

    sessionVariables = {
      # EDITOR = "emacs";
    };
  };

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;

}
