{ config, pkgs, lib, ... }:
{

  # The home.packages option allows you to install 
  # Nix packages into your environment.
  home.packages = with pkgs; [
    # List of programs
    thunderbird
    # utility
    #ranger
    vimiv-qt
    zip
    unzip

    signal-desktop
    #vscodium
    vlc
    keepassxc
    logseq
    okular
    #firefox
    borgbackup
    discord
    
    # utility
    pulsemixer
    brightnessctl
    gammastep # color temperature
    swaybg
    xwayland
    grim # screenshot functionality
    slurp # screenshot functionality
    wl-clipboard # copy/paste from stdin / stdout
    mako # notification system developed by swaywm maintainer

    # secret management
    age
    sops
    
    # steam deck touch compability in non-steam games
    #caribou
    #evtest # for input key testing
  ];

  programs.direnv.enable = true;

}
