{ config, pkgs, lib, ... }:
{

  programs.neovim = {
    enable = true;
    viAlias = true;
    vimAlias = true;
    vimdiffAlias = true;
    defaultEditor = true;
    extraConfig = ''
      set number relativenumber
    '';

    plugins = let
      nvim-treesitter-with-plugins = pkgs.vimPlugins.nvim-treesitter.withPlugins (treesitter-plugins:
        with treesitter-plugins; [
          astro
          bash
          c
          css
          cpp
          dockerfile
          git_config
          git_rebase
          gitattributes
          gitcommit
          gitignore
          html
          http
          javascript
          json
          latex
          markdown
          nix
          python
          rust
          sql
          sway
          typescript
          vim
          zig
        ]);
    in
      with pkgs.vimPlugins; [
	# vim-nerdtree??
        #vim-rainbrow
        vim-colors-solarized
        # vim-lightline
        # syntastic
        vim-nix
        nvim-lspconfig
        nvim-treesitter-with-plugins
      ];
    };

}
